Subject: bug#20913: 25.0.50; regexp I-search no longer works with \<

From: Paul Eggert <[email-masked]>
Date: Sat, 27 Jun 2015 17:46:24 -0700

To reproduce the problem, run 'emacs -Q' and type:

C-h t M-C-s \ <

This should match the start of the TUTORIAL buffer, but instead it goes to the 
first backslash in the buffer and then fails, with a message "Failing char-fold 
regexp I-search: \<" at the bottom of the screen.

This seems to be due to the recent isearch changes, so I'm CC'ing Artur.